VirtualBox Main API

Public Attributes | List of all members
IHostUpdateAgent Interface Reference

Implementation of the IUpdateAgent object for VirtualBox host updates. More...

Inheritance diagram for IHostUpdateAgent:

## Public Attributes
readonly attribute boolean | midlDoesNotLikeEmptyInterfaces
Public Attributes inherited from IUpdateAgent
readonly attribute wstring | name
| Name of the update component.
readonly attribute IEventSource | eventSource
| Event source for update agent events.
readonly attribute unsigned long | order
| Order hint the update component needs to run at, in conjunction with other update components.
readonly attribute wstring[] | dependsOn
| Array of other update component names this component depends on before being able to get installed.
readonly attribute wstring | version
| Version the update contains.
readonly attribute wstring | downloadUrl
| Download URL of the update.
readonly attribute wstring | webUrl
| Web URL of the update.
readonly attribute wstring | releaseNotes
| Release notes of the update.
attribute boolean | enabled
| Enables or disables the update component.
readonly attribute boolean | hidden
| Whether the update component shall be hidden from the user or not.
readonly attribute UpdateState | state
| Returns the current update state.
attribute unsigned long | checkFrequency
| The update check frequency (in seconds).
attribute UpdateChannel | channel
| Update channel to use for checking for updates.
attribute wstring | repositoryURL
| Update repository URL to use for retrieving the update.
readonly attribute wstring | lastCheckDate
| Date of last update check.
readonly attribute unsigned long | checkCount
| How many times the update check has happened already.
readonly attribute boolean | isCheckNeeded
| Returns `TRUE` if an update check is needed, or `FALSE` if not.
readonly attribute UpdateChannel[] | supportedChannels
| Returns a safe array of all supported update channels this agents offers.

## Additional Inherited Members
Public Member Functions inherited from IUpdateAgent
void | checkFor ([retval] out IProgress progress)
| Checks for an update.
void | download ([retval] out IProgress progress)
| Downloads the update.
void | install ([retval] out IProgress progress)
| Installs the update.
void | rollback ()
| Rolls back installing the update.

## Detailed Description

Implementation of the IUpdateAgent object for VirtualBox host updates.

Note
  If no proxy is explicitly set, the proxy settings from ISystemProperties will be used.

Interface ID:
  `{D782DBA7-CD4F-4ACE-951A-58321C23E258}`

## Member Data Documentation

## ◆ midlDoesNotLikeEmptyInterfaces

readonly attribute boolean IHostUpdateAgent::midlDoesNotLikeEmptyInterfaces